Skip to main content

System Utility - Stop Inspector

Endpoint​

/i/inspector/stop

Overview​

Stops inspector mode.

Authentication​

Pass api_key or auth_token as a query parameter, or send countly-token as a header. See Authentication.

Permissions​

Requires Global Admin access.

Request Parameters​

ParameterTypeRequiredDescription
api_keyStringConditionalRequired if auth_token is not provided.
auth_tokenStringConditionalRequired if api_key is not provided.

Examples​

/i/inspector/stop?api_key=YOUR_API_KEY

Response​

Success Response​

{
"result": "Stoping inspector for all processes"
}

Response Fields​

FieldTypeDescription
resultStringSuccess message when inspector is stopped.

Error Responses​

{
"result": "Error: Inspector needs to be started"
}

Behavior​

  • Stops inspector and clears running timeout state.
Implementation details

Database Collections

This endpoint does not read or write database collections.